| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
DC2222_interrupt_driven_read.ino File Reference
Analog-to-Digital Converters (ADC) » LTC2508 : 32-Bit Over-Sampling ADC with Configurable Digital Filter.

Linear Technology DC2222AB Demonstration Board. More...

## Detailed Description

Linear Technology DC2222AB Demonstration Board.

LTC2508: 32-Bit Over-Sampling ADC with Configurable Digital Filter

    NOTES

       This code is used in the case where DRDY triggers a hardware interrupt on Linduino,
       and then the data is read. This makes data acquisition faster.
       Set the terminal baud rate to 115200 and select the newline terminator.
       Provide an external voltage supply of +/-9V or 10 V.
       Drive MCLK with an external CLK source. Connect DRDY to INT1 pin. Connect
       QUIKEVAL_GPIO pin to the SYNC pin.
       16 bits of configuration data: 1 0 0 0   0 0 0 0   0 SEL0 SEL1 0   0 0 0 0

       In the Linduino code, data is continuously captured in the interrupt service
       routine and printed out to the serial console as hex values. Converting the data
       to voltage can be done later. The serially printed out data is logged into a
       file using TeraTerm. The data is read out, converted to voltage and plotted
       using a Python script.

    USER INPUT DATA FORMAT:
     decimal : 1024
     hex     : 0x400
     octal   : 02000  (leading 0 "zero")
     binary  : B10000000000
     float   : 1024.0

http://www.linear.com/product/LTC2508

http://www.linear.com/product/LTC2508#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file DC2222_interrupt_driven_read.ino.

Go to the source code of this file.

## Functions
static void | sneaker_port_init ()
| Send configuration data through sneaker port. More...
static void | initialise_i2c_data (uint16_t value, uint8_t i2c_data[48])
static void | setup ()
static void | loop ()
static void | read_data_ISR ()

## Variables
static float | VREF = 5.0
static uint16_t | global_config_data = CONFIG_DF_256
const byte | interruptPin = 0

## Function Documentation

## ◆ initialise_i2c_data()

static void initialise_i2c_data | ( | uint16_t | value,
|  | uint8_t | i2c_data[48]
| ) |  |
| static

Definition at line 188 of file DC2222_interrupt_driven_read.ino.

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Definition at line 107 of file DC2222_interrupt_driven_read.ino.

## ◆ read_data_ISR()

static void read_data_ISR | ( |  | ) |
| static

Definition at line 112 of file DC2222_interrupt_driven_read.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Definition at line 97 of file DC2222_interrupt_driven_read.ino.

## ◆ sneaker_port_init()

static void sneaker_port_init | ( |  | ) |
| static

Send configuration data through sneaker port.

Send a SYNC pulse after configuration.

Definition at line 158 of file DC2222_interrupt_driven_read.ino.

## Variable Documentation

## ◆ global_config_data

uint16_t global_config_data = CONFIG_DF_256
| static

Definition at line 88 of file DC2222_interrupt_driven_read.ino.

## ◆ interruptPin

const byte interruptPin = 0

Definition at line 94 of file DC2222_interrupt_driven_read.ino.

## ◆ VREF

float VREF = 5.0
| static

Definition at line 87 of file DC2222_interrupt_driven_read.ino.